#!/bin/ash
# rustic ps
# by M. Andreoli

#set -x

FMT="%5s %3s %-4s %3s:%s %-.50s"

printf "$FMT"  PID TTY STAT TIME "" COMMAND
echo
list=`echo /proc/[0-9]*/`

for i in $list; do

	read stat < $i/stat
	cmd=`cat $i/cmdline| tr '\0' ' '`
	set -- $stat; 
	pid=$1; name=$2; stat=$3; 
	shift 10; utime=$4; stime=$5

	t=`expr $utime + $stime` 
	t=`expr $t / 100`
	m=`expr $t / 60` ; s=`expr $t % 60` 
	printf "$FMT" $pid "?" $stat $m $s "$name $cmd"
	echo
done
